<?xml version="1.0" encoding="utf-8"?>
<datastore-indexes autoGenerate="false">

    <!-- Used 2 times in query history -->
    <datastore-index kind="DbUser" ancestor="false">
        <property name="id" direction="asc" />
        <property name="username" direction="asc" />
    </datastore-index>

    <datastore-index kind="Project" ancestor="false">
        <property name="ownerId" direction="asc"/>
        <property name="description" direction="asc"/>
    </datastore-index>

    <datastore-index kind="ProjectAccess" ancestor="false">
        <property name="projectId" direction="asc"/>
        <property name="userId" direction="asc"/>
    </datastore-index>

    <datastore-index kind="UmlModel" ancestor="false">
        <property name="projectId" direction="asc"/>
        <property name="description" direction="asc"/>
    </datastore-index>

    <datastore-index kind="View" ancestor="false">
        <property name="modelId" direction="asc"/>
        <property name="description" direction="asc"/>
    </datastore-index>

    <datastore-index kind="UmlElement" ancestor="false">
        <property name="modelId" direction="asc"/>
        <property name="value" direction="asc"/>
    </datastore-index>
    
    <datastore-index kind="UmlElementContainer" ancestor="false">
        <property name="viewId" direction="asc"/>
        <property name="elementId" direction="asc"/>
    </datastore-index>
    
    <datastore-index kind="Log" ancestor="false">
        <property name="objectId" direction="asc"/>
        <property name="objectType" direction="asc"/>
        <property name="action" direction="asc"/>
    </datastore-index>
</datastore-indexes>